MetadataSourceType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.cfg
Enum MetadataSourceType

    java.lang.Object
      java.lang.Enum<MetadataSourceType>
          org.hibernate.cfg.MetadataSourceType

All Implemented Interfaces:
  Serializable, Comparable<MetadataSourceType>

    public enum MetadataSourceType

extends Enum<MetadataSourceType>

Enumeration of the types of sources of mapping metadata

Enum Constant Summary
`CLASS` Indicates metadata coming from either annotations, `orx.xml` or a combination of the two.
`HBM` Indicates metadata coming from `hbm.xml` files

Method Summary
`String` | `toString()`
`static MetadataSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HBM

    public static final MetadataSourceType HBM

  Indicates metadata coming from `hbm.xml` files

### CLASS

    public static final MetadataSourceType CLASS

  Indicates metadata coming from either annotations, `orx.xml` or a combination of the two.

Method Detail

### values

    public static MetadataSourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MetadataSourceType c : MetadataSourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MetadataSourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<MetadataSourceType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.